#!/usr/bin/make -f
include /usr/share/cdbs/1/class/python-distutils.mk
include /usr/share/cdbs/1/rules/debhelper.mk

PKG = python-tgext.admin
UPSTREAMS = \
	tgext.admin \
	tgext.crud \
	$(NULL)
export SUBDIRS = $(UPSTREAMS)

DEB_PYTHON_INSTALL_ARGS_ALL += --single-version-externally-managed

# build doc (shipped by dh_installdocs)
build/$(PKG)::
	cd tgext.admin/docs/source && rst2html index.rst > index.html
clean::
	-rm -f tgext.admin/docs/source/index.html

# avoid installing useless *.pth files
install/$(PKG)::
	rm -f debian/$(PKG)/usr/lib/python*/site-packages/*.pth

-include debian/get-orig-source.mk
